Docs
Get an API key
API reference›Vector Store

Update Collection Item

PATCH /v1/vector_store/{id}/items/{itemid} View .md

Updates a vector store collection item record.

  • id string required

    The ID of the vector store collection.

  • itemid string required

    The ID of the vector store collection item.

Update Vector Store Item Request Payload

  • description string required

    A description of the contents in this collection item record.

OK

application/json · get-vector-store-item-response-payload

1 field
  • item object

    An object representing an embeddings record within a vector store collection.

    4 fields
    • id string

      The unique ID of the vector store collection item.

    • created string

      The UTC creation timestamp of the collection item in ISO 8601 format.

    • description string

      The short description of the content stored as embeddings for this record.

    • content string

      The full text of the content stored as embeddings for this record.

curl -X PATCH https://api.vultrinference.com/v1/vector_store/{id}/items/{itemid} \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "string"
  }'
Response · 202
{
    "item": {
        "id": "string",
        "created": "string",
        "description": "string",
        "content": "string"
    }
}